Name:           gnofract4d
Version:        3.14
Release:        %mkrel 4
Group:          Graphics/Utilities
License:        BSD
Summary:        Gnofract 4D: Superior Fractal Software
URL:            http://gnofract4d.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gnofract4d-3.13-fix_desktop_file.patch
Patch1:         gnofract4d-3.13-fix_libdl.patch
BuildRequires:  python-devel

%description
Gnofract 4D is a free, open source program which allows anyone to
create beautiful images called fractals. The images are automatically
created by the computer based on mathematical principles.
These include the Mandelbrot and Julia sets and many more.
You don't need to do any math: you can explore a universe of images
just using a mouse.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

#duplicate docs
rm -rf %{buildroot}%{_docdir}/%{name}

#fix rights
chmod 644 %{buildroot}%{_datadir}/%{name}/maps/royal.map

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}-logo.png
%{_datadir}/mime/packages/%{name}-mime.xml
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/fract4d
%{python_sitearch}/fract4dgui
%{python_sitearch}/fractutils
%{python_sitearch}/%{name}-%{version}-py%{py_ver}.egg-info


%changelog

* Sun Feb 17 2013 wally <wally> 3.14-4.mga3
+ Revision: 398861
- fix source url
- use find_lang macro

* Sat Jan 12 2013 umeabot <umeabot> 3.14-3.mga3
+ Revision: 351948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Jan 05 2013 barjac <barjac> 3.14-2.mga3
+ Revision: 339228
- update group
- minor spec clean

* Sat Oct 01 2011 ofaurax <ofaurax> 3.14-1.mga2
+ Revision: 150719
- new version 3.14

* Mon Apr 18 2011 ofaurax <ofaurax> 3.13-2.mga1
+ Revision: 87481
- Patch to compile with libdl
- imported package gnofract4d


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 3.13-2mdv2011.0
+ Revision: 594849
- rebuild for python 2.7
- fix install
- fix filelist (don't own /usr/share or /usr/lib{64,})
- fix file rights
- fix desktop file

* Sun Sep 19 2010 Olivier Faurax <ofaurax@mandriva.org> 3.13-1mdv2011.0
+ Revision: 579872
- New version 3.13 (oups)
- New version 3.13

* Mon Dec 28 2009 Olivier Faurax <ofaurax@mandriva.org> 3.12-1mdv2010.1
+ Revision: 483143
- import gnofract4d


